Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.sampler
Interface QueueExecutor

All Known Implementing Classes:
  FixedQueueExecutor, TemporaryQueueExecutor

    public interface QueueExecutor

Executor for (pseudo) synchronous communication.
Created on: October 28, 2004

Version:
  $Revision: 1377070 $

Method Summary
`javax.jms.Message` | `sendAndReceive(javax.jms.Message request)` Sends and receives a message.

Method Detail

### sendAndReceive

    javax.jms.Message sendAndReceive(javax.jms.Message request)
                                     throws javax.jms.JMSException

  Sends and receives a message.

  Parameters:
    `request` - the message to send
  Returns:
    the received message or `null`
  Throws:
    `javax.jms.JMSException` - in case of an exception from the messaging system

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.